smbcacls
1

# smbcacls

Ustaw lub pobierz ACLe pliku lub katalogu NT

          smbcacls
    	//serwer/wspoludzial
    	nazwapliku
    	-U nazwauzytkownika
    	-A acle
    	-M acle
    	-D acle
    	-S acle
    	-C nazwa
    	-G nazwa
    	-n
    	-h

## OPIS

To narzędzie jest częścią pakietu Samba.

Program smbcacls manipuluje Listami Kontroli Dostępu NT (NT Access Control Lists, stąd spolszczenie liczby mnogiej - ACLe, przyp.tłum.) na współudziałach plikowych SMB.

## OPCJE

Następujące opcje są dostępne dla programu smbcacls. Format ACLi jest opisany w sekcji FORMAT ACL.

-A acle

  Dodaj ACLe określone na liscie ACL. Istniejące wpisy kontroli dostępu pozostają niezmienione.

-M acle

  Zmodyfikuj wartość maski (zezwolenia) dla ACLi podanych w linii poleceń. Błąd będzie wyświetlony dla każdego podanego ACLa który nie był obecny na liście ACL.

-D acle

  Usuń każdy ACL określony w linii poleceń. Błąd będzie wyświetlony dla każdego ACLa który nie być obecny na liście ACLi.

-S acle

  To polecenie ustawia na pliku tylko te ACLe, które były podane w linii poleceń. Wszystkie inne są usuwane. Zauważ, że określone tu ACLe muszą zawierać przynajmniej rewizję, typ, właściciela i grupę, żeby wywołanie zakończyło się sukcesem.

-U nazwauzytkownika

  Określa nazwę użytkownika wykorzystaną do podłączenia się do określonej usługi. Nazwa może mieć formę "nazwauzytkownika". W tym przypadku użytkownik jest poproszony o wpisanie hasła, a użyta grupa robocza (workgroup) jest taka, jak określona w pliku `smb.conf`. Użyte mogą być też "nazwauzytkownika%haslo" lub "DOMENA\nazwauzytkownika%haslo" i wtedy hasło i grupa robocza są takie, jak dostarczone.

-C nazwa

  Właściciel pliku lub katalogu może zostać zmieniony na nazwę podaną przy użyciu opcji `-C`. Nazwą może być sid w formie S-1-x-y-z lub nazwa odwzorowana przez serwer określony w pierwszym argumencie.

  To polecenie jest skrótem dla -M WLASCICIEL:nazwa.

-G nazwa

  Właściciel grupowy pliku lub katalogu może być zmieniony na nazwę podaną przy użyciu opcji `-G` . Nazwą może być sid w formie S-1-x-y-z lub nazwa odwzorowana przez serwer określony w pierwszym argumencie.

  To polecenie jest skrótem dla -M GRUPA:nazwa.

-n

  Ta opcja wyświetla wszystkie informacje ACL w formacie numerycznym. Domyślnie, SIDy są konwertowane do nazw, a typy ACE i maski do formatu czytelnego łańcucha znakowego.

-h

  Wypisuje informację na temat użycia programu `smbcacls`.

## FORMAT ACL

Formatem ACL jest jeden lub więcej wpisów ACL oddzielonych albo przecinkami, albo znakami końca linii. Wpis ACL jest jednym z następujących:

    REVISION:<numer rewizji>
    OWNER:<sid lub nazwa>
    GROUP:<sid lub nazwa>
    ACL:<sid lub nazwa>:<typ>/<flagi>/<maska>

Rewizja (REVISION) ACL określa wewnętrzną w Windows NT ACL rewizję deskryptora zabezpieczenia. Jeśli nie jest określona, przyjmuje wartość domyślną 1. Korzystanie z wartości innych niż 1 może spowodować dziwne zachowanie.

Właściciel (OWNER) i grupa (GROUP) określają sid'y właściciela i grupy dla obiektu. Jeśli SID jest określony w formacie CWS-1-x-y-z, to taki jest użyty. W przeciwnym wypadku podana nazwa jest odwzorowana przy użyciu serwera na którym znajduje się plik lub katalog.

ACLe określają zezwolenia przyznane dla SID'a. SID ten może być znów określony w formacie CWS-1-x-y-z lub jako nazwa, w którym to przypadku jest odwzorowana przez serwer na którym znajduje się plik lub katalog. Typ, flagi i maska determinują typ dostępu przyznany dla tego SID'a.

Typ może być albo 0, albo 1, co odpowiada ALLOWED (zezwolony) lub DENIED (zabroniony) dostęp dla SID'a. Wartości flag to geralnie zero dla plikowych ACLi i albo 9, albo 2 dla katalogowych ACLi. Niektóre powszechne flagi to:

- #define SEC_ACE_FLAG_OBJECT_INHERIT 0x1

- #define SEC_ACE_FLAG_CONTAINER_INHERIT 0x2

- #define SEC_ACE_FLAG_NO_PROPAGATE_INHERIT 0x4

- #define SEC_ACE_FLAG_INHERIT_ONLY 0x8

Obecnie flagi mogą być określone tylko jako dziesiętne lub szesnastkowe wartości.

Maska jest wartością która wyraża prawa dostępu przyznane dla SID'a. Może być podana jako wartość dzieśiętna lub szesnastkowa, lub za pomocą jednego z poniższych łańcuchów tekstowych które mapują na zezwolenia plikowe NT o tej samej nazwie.

- R - Zezwól na dostęp do odczytu

- W - Zezwól na dostęp do zapisu

- X - Zezwolenie wykonania dla obiektu

- D - Usuwanie obiektu

- P - Zmiana zezwoleń

- O - Przejęcie własności

Następujące łączone zezwolenia mogą być określane:

- READ - Odpowiednik dla zezwoleń 'RX'

- CHANGE - Odpowiednik dla zezwoleń 'RXWD'

- FULL - Odpowiednik dla zezwoleń 'RWXDPO'

## STATUS WYJŚCIA

Program `smbcacls` ustawia status wyjścia (exit status) zależnie od sukcesu lub jego braku w wykonywanych operacjach. Status wyjścia może być jedną z poniższych wartości.

Jeśli operacja zakończyła się sukcesem, smbcacls zwraca status wyjścia 0. Jeśli smbcacls nie mógł podłączyć się do określonego serwera lub nastąpił błąd pobierania lub ustawiania ACLi, status wyjścia 1 jest zwracany. Jeśli nastąpił błąd parsowania któregoś z argumentów linii poleceń, zwracany jest status wyjścia 2.

## AUTOR

Pierwotnie, Samba i związane z nią oprogramowanie były stworzone przez Andrew Tridgella. Samba jest teraz rozwijana przez Zespół Samba jako projekt Open Source podobnie jak jądro Linux.

`smbcacls` został napisany przez Andrew Tridgella i Tima Pottera.

Konwersja do DocBook dla Samba 2.2 została wykonana przez Geralda Cartera. Tłumaczenie na język polski wykonał Rafał Szcześniak.